#!/usr/bin/python3

import os,sys,math;
from compscripts.complib2 import *;

args = sys.argv
if(len(args)>=2):
    if(args[1]=="clean"):
        obj_list = flist('./objstore',recurse=True,exts=['.o'])
        for o in obj_list:
            os.remove('{}'.format(o))
        exit(0)

os.system('python3 ./compscripts/linux64.makelib.py')
os.system('python3 ./compscripts/linux64.maketest.py')

# obj_list = flist('./src',recurse=True,exts=['.o'])
# for o in obj_list:
#     os.remove('{}'.format(o))

#os.chdir('./bin_linux64')
callproc('./bin_linux64/test')
#os.chdir('..')